Bug 562467 (openvas-libraries) - Review Request: openvas-libraries - Support libraries for Open Vulnerability Assessment (OpenVAS) Server
Summary: Review Request: openvas-libraries - Support libraries for Open Vulnerability ...
Status: CLOSED RAWHIDE
Alias: openvas-libraries
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-SECLAB openvas-scanner openvas-client
TreeView+ depends on / blocked
 
Reported: 2010-02-06 21:06 UTC by Stjepan Gros
Modified: 2014-09-23 19:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-01 03:55:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Stjepan Gros 2010-02-06 21:06:00 UTC
Spec URL: http://www.zemris.fer.hr/~sgros/stuff/fedora/openvas3/openvas-libraries.spec
SRPM URL: http://www.zemris.fer.hr/~sgros/stuff/fedora/openvas3/openvas-libraries-3.0.2-1.fc12.src.rpm
Description:
openvas-libraries is the base library for the OpenVAS network
security scanner.

Comment 1 Stjepan Gros 2010-02-06 21:13:07 UTC
*** Bug 538297 has been marked as a duplicate of this bug. ***

Comment 2 Xavier Bachelot 2010-02-18 23:43:07 UTC
The spec file looks generally clean, with a few nitpicks :
- the -b 0 argument to %setup is useless.
- Why no parallel build ? ("make" rather than "make %{?_smp_mflags}"). If it's failing then that should be added as a comment into the spec.
- the .gz at the end of the manfiles lines in %file should be changed to .* in case the compression format ever change.

Actually, my biggest concern about this review request is it should not be a review request in the first place as openvas-libraries is already packaged. I suggest you submit a patch against the devel branch to Huzaifa, and also that you apply for co-maintainership on openvas-libraries. I'm adding him to the CC list.

Comment 3 Stjepan Gros 2010-02-26 10:15:11 UTC
I cleaned up spec file and synchronized the libraries with a new upstream version.

As for review request, I did it this way because it was easier for me. I think I am co-maintainer for some parts of the openvas, though I don't know which. Despite this, I didn't want to try to change OpenVAS since it is quite large change in question.

Spec URL:
http://www.zemris.fer.hr/~sgros/stuff/fedora/openvas3/openvas-libraries.spec
SRPM URL:
http://www.zemris.fer.hr/~sgros/stuff/fedora/openvas3/openvas-libraries-3.0.3-1.fc12.src.rpm
Description:

Anyway, Huzaifa is free to do or suggest anything he thinks is the best.

Comment 4 Huzaifa S. Sidhpurwala 2010-02-26 10:55:13 UTC
Thanks, i will commit it soon,
I have a having issues with static libs since --disable-static was not working.


http://bugs.openvas.org/855
http://bugs.openvas.org/1125

Are you sure the parser is linked with the dynamic libs and not the static ones, which you are deleting?

Comment 5 Xavier Bachelot 2010-02-26 20:44:48 UTC
I missed that openvas-libnasl has entered the distro. As libnasl has been incorporated in the main libraries package with openvas 3, I think some obsolotes/provides should be added to ensure a clean update path.

openvas-libraries should have :

Obsoletes: openvas-libnasl < 2.0.2-4
Provides: openvas-libnasl = %{version}-%{release}

and openvas-libraries-devel :

Obsoletes: openvas-libnasl-devel < 2.0.2-4
Provides: openvas-libnasl-devel = %{version}-%{release}

Comment 6 Huzaifa S. Sidhpurwala 2010-03-01 02:56:13 UTC
Actually openvas-libnasl has not been built yet, so i can just mark this as a dead package.

(In reply to comment #5)
> I missed that openvas-libnasl has entered the distro. As libnasl has been
> incorporated in the main libraries package with openvas 3, I think some
> obsolotes/provides should be added to ensure a clean update path.
> 
> openvas-libraries should have :
> 
> Obsoletes: openvas-libnasl < 2.0.2-4
> Provides: openvas-libnasl = %{version}-%{release}
> 
> and openvas-libraries-devel :
> 
> Obsoletes: openvas-libnasl-devel < 2.0.2-4
> Provides: openvas-libnasl-devel = %{version}-%{release}

Comment 7 Huzaifa S. Sidhpurwala 2010-03-01 03:55:29 UTC
openvas-libraries-3.0.3 is built for rawhide now, closing this bug.

Comment 8 Michal Ambroz 2010-06-22 04:38:38 UTC
Hello Huzaifa,
please - as there is full set of openvas packages available now (libraries, scanner, client), could you consider submitting the openvas-libraries to EL-5 and EL-6 branches so openvas can be build for those platforms as well?

It would be also great if you could include sgros xavierb and me (rebus) as cvs comaintainers of the package so we can submit the build to koji/bodhi.

Thank you
Michal Ambroz

Comment 9 Xavier Bachelot 2010-06-25 22:31:20 UTC
All 4 of us are maintainers of the openvas scanner and client packages, it definitely makes sense to be maintainers of the libs as well, so here's the branch requests for EPEL. Everyone willing to have rights on the Fedora branches will have to apply for them in the pkgdb and Huzaifa will have to approve them.

Package Change Request
======================
Package Name: openvas-libraries
New Branches: EL-5 EL-6
Owners: huzaifas sgros rebus xavierb

Comment 10 Jason Tibbitts 2010-06-26 21:47:40 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Michal Ambroz 2014-09-23 18:04:36 UTC
Package Change Request
======================
Package Name: openvas-libraries
New Branches: epel7
Owners: huzaifas sgros rebus xavierb fab

Hello SCM team,
plase can you add epel7 branch for the openvas-libraries package?
Thank you
Michal Ambroz

Comment 12 Gwyn Ciesla 2014-09-23 19:15:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.